<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMITEMEditViewBase from './emitemedit-view-base.vue';

import view_form from '@widgets/emitem/main2-form/main2-form.vue';

/**
 * 物品
 *
 * @export
 * @class EMITEMEditView
 * @extends {EMITEMEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMITEMEditView extends EMITEMEditViewBase { }
</script>